\abstract{
    this is the abstract
  }
\section{Introduction}
The traditional way of inserting matrices into your Latex document can be 
complicated and, if you don't use a proper \LaTeX IDE, often leads to 
problems and errors due to spelling mistakes. So this package provides an 
error free matrices command. \\ The package \textbf{betterMatrices} is 
based on the package \textbf{amsmath}, so you don't need to include it 
separately.

\section{DeepDive into the API}
\begin{figure}[h!]
  \begin{center}
    \lstinputlisting[firstline=3, lastline=3]{../betterMatrices.sty}
  \end{center}
  \caption{
      As you can see, this package includes the \textbf{amsmath} package, 
      so you don't need to include it manually.
    }
\end{figure}
Building on top of \textbf{amsmath} has the advantage that no independent derivation of 
commands is required. At the same time, there is the problem that bugs in the included 
package will be passed on to this one. There's some difficulty in understanding the 
underlying package syntax, so this is a quick and dirty approach.
\begin{figure}[h!]
  \begin{center}
    \lstinputlisting[firstline=4, lastline=7]{../betterMatrices.sty}
  \end{center}
  \caption{
      That's a very typical syntax provided by this package, under the hood it uses the normal \textbf{amsmath} environments, so the syntactic sugar provided here helps you to make your code more convenient.
    }
\end{figure}

The example provided shows what the package does. A better example is the one below:

\begin{lstlisting}
  \pmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}
\end{lstlisting}
which results into:
$\pmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$ \\
This way each new Matrix command of this package is described, all possible commands are shown below:
\begin{lstlisting}
  $\matrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
  $\bmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
  $\BmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
  $\vmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
  $\VmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
  $\lAngleMatrix{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
\end{lstlisting}
which result into: \\
$\matrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
$\bmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
$\BmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
$\vmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
$\VmatrixN{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$
$\lAngleMatrix{1 & 2 & 3 \\ 4 & 5 & 6 \\ 7 & 8 & 9}$

